#! /bin/bash

# ---
#
#
# ---

# libreria di appoggio
. ../installLib.sh

QUEUEMETRICS="/usr/local/queuemetrics/tomcat/webapps/queuemetrics"
FILESQL="$QUEUEMETRICS/WEB-INF/README/queuemetrics_sample.sql"
FILECFG="./configuration.properties"
FILEAST="./extensions_queuemetrics.conf"
FILEELA="/etc/asterisk/extensions_queuemetrics.conf"
FILEAPP="/etc/asterisk/extensions.conf"
ROOTPASSWD=`awk -F'=' '/^mysqlrootpwd/ {print $2}' /etc/elastix.conf`
PWD=`pwd`

echo "Elastix - Installing $0 from $PWD";
echo "File: $FILESQL"

/etc/init.d/qloaderd stop
/etc/init.d/queuemetrics stop



echo "" | mysql -uqueuemetrics -pjavadude queuemetrics

if [ $? -ge 1 ]; then

echo "Creating database"

mysql -uroot -p$ROOTPASSWD mysql <<"EOF"
  CREATE DATABASE IF NOT EXISTS queuemetrics;
  GRANT ALL PRIVILEGES ON queuemetrics.* TO 'queuemetrics'@'localhost' IDENTIFIED BY  'javadude';
EOF

mysql -uqueuemetrics -pjavadude queuemetrics < $FILESQL

fi

echo Elastix config

FOUND="$(grep 'extensions_queuemetrics.conf' $FILEAPP)"
if [ -z "$FOUND" ]; then
    echo "#include extensions_queuemetrics.conf" >> $FILEAPP
fi

cp $FILEAST $FILEELA
asterisk -rx reload


echo QM config

cp $FILECFG $QUEUEMETRICS/WEB-INF/configuration.properties

#rv $FILECFG default.queue_log_file sql:P001
#rv $FILECFG realtime.max_bytes_agent 10000
#rv $FILECFG default.monitored_calls /var/spool/asterisk/monitor/
#rv $FILECFG layout.logo http://www.loway.ch/images/logo_elastix_200x72.png
#rv $FILECFG callfile.dir tcp:admin:elastix456@127.0.0.1


sleep 5
/etc/init.d/qloaderd start
/etc/init.d/queuemetrics start

allOK


